-- graph_time[ Biorhythm drawed by Wolf :1:2,3,4 ] 

select 
  aa.num AS DAY_,
  ROUND(100 * SIN((current_date - bb.birth_day + aa.num) * 3.14159 * 2 / 23.0)) AS Physical,
  ROUND(100 * SIN((current_date - bb.birth_day + aa.num) * 3.14159 * 2 / 28.0)) AS Emotional,
  ROUND(100 * SIN((current_date - bb.birth_day + aa.num) * 3.14159 * 2 / 33.0)) AS Intellectual,
  current_date - bb.birth_day + aa.num  AS ElapsedDay

 from 
(
select -10 AS num
UNION select -9 AS NUM UNION select -8 AS num
UNION select -7 AS num UNION select -6 AS num
UNION select -5 AS num UNION select -4 AS num
UNION select -3 AS num UNION select -2 AS num
UNION select -1 AS num UNION select 0 AS num
UNION select 1 AS num UNION select 2 AS num
UNION select 3 AS num UNION select 4 AS num
UNION select 5 AS num UNION select 6 AS num
UNION select 7 AS num UNION select 8 AS num
UNION select 9 AS num UNION select 10 AS num
) as aa,
( select to_date('1977-08-11','YYYY-MM-DD') as birth_day) as bb

order by 1
